package com.songhua.system.mapper;

import java.util.List;
import com.songhua.system.domain.CruiseShipMapping;

/**
 * Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-23
 */
public interface CruiseShipMappingMapper 
{
    /**
     * 查询
     */
    public CruiseShipMapping selectCruiseShipMappingById(String id);

    /**
     * 查询列表
     */
    public List<CruiseShipMapping> selectCruiseShipMappingList(CruiseShipMapping cruiseShipMapping);

    /**
     * 新增
     */
    public int insertCruiseShipMapping(CruiseShipMapping cruiseShipMapping);

    /**
     * 修改
     */
    public int updateCruiseShipMapping(CruiseShipMapping cruiseShipMapping);

    /**
     * 删除
     */
    public int deleteCruiseShipMappingById(String id);

    /**
     * 批量删除
     */
    public int deleteCruiseShipMappingByIds(String[] ids);
}
